package com.ruoyi.szxc.service.impl;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.szxc.domain.SzxcZcss;
import com.ruoyi.szxc.mapper.SzxcZcssMapper;
import com.ruoyi.szxc.service.ISzxcZcssService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 资产设施Service业务层处理
 * 
 * @author hs
 * @date 2024-04-02
 */
@Service
public class SzxcZcssServiceImpl implements ISzxcZcssService 
{
    @Autowired
    private SzxcZcssMapper szxcZcssMapper;

    /**
     * 查询资产设施
     * 
     * @param id 资产设施主键
     * @return 资产设施
     */
    @Override
    public SzxcZcss selectSzxcZcssById(Long id)
    {
        return szxcZcssMapper.selectSzxcZcssById(id);
    }

    /**
     * 查询资产设施列表
     * 
     * @param szxcZcss 资产设施
     * @return 资产设施
     */
    @Override
    @DataScope(deptAlias = "z")
    public List<SzxcZcss> selectSzxcZcssList(SzxcZcss szxcZcss)
    {
        return szxcZcssMapper.selectSzxcZcssList(szxcZcss);
    }

    /**
     * 新增资产设施
     * 
     * @param szxcZcss 资产设施
     * @return 结果
     */
    @Override
    public int insertSzxcZcss(SzxcZcss szxcZcss)
    {
        szxcZcss.setCreateTime(DateUtils.getNowDate());
        return szxcZcssMapper.insertSzxcZcss(szxcZcss);
    }

    /**
     * 修改资产设施
     * 
     * @param szxcZcss 资产设施
     * @return 结果
     */
    @Override
    public int updateSzxcZcss(SzxcZcss szxcZcss)
    {
        szxcZcss.setUpdateTime(DateUtils.getNowDate());
        return szxcZcssMapper.updateSzxcZcss(szxcZcss);
    }

    /**
     * 批量删除资产设施
     * 
     * @param ids 需要删除的资产设施主键
     * @return 结果
     */
    @Override
    public int deleteSzxcZcssByIds(Long[] ids)
    {
        return szxcZcssMapper.deleteSzxcZcssByIds(ids);
    }

    /**
     * 删除资产设施信息
     * 
     * @param id 资产设施主键
     * @return 结果
     */
    @Override
    public int deleteSzxcZcssById(Long id)
    {
        return szxcZcssMapper.deleteSzxcZcssById(id);
    }
}
